﻿@model IEnumerable<TooJaVile.Models.Album>

@{
    ViewBag.Title = "Index";
}
<link href="~/Content/Site.css" rel="stylesheet" />
<h2>Pildialbum</h2>

<p>
    @Html.ActionLink("Loo uus album", "Create")
</p>
<style>

    .pilt:hover 
    {
        transition: transform .2s; /* Animation */
        width: 500px;
    }
</style>
<div style="display:flex; flex-wrap:wrap">


    @foreach (var item in Model)
    {
        <div class="gallery pilt">
            <a href='@Url.Action("Details", "Albums", new { id = item.Id })'>
                <img src="@Url.Action("Content", "DataFiles", new {id = item.CoverPictureId})" alt="Cover Picture">
            </a>
            <div class="desc"> @Html.DisplayFor(modelItem => item.Name)</div>
            <div class="desc"> @Html.DisplayFor(modelItem => item.Description)</div>
        </div>
    }
</div>
